diff options
author | Vsevolod Stakhov <vsevolod@highsecure.ru> | 2021-03-12 18:01:32 +0000 |
---|---|---|
committer | Vsevolod Stakhov <vsevolod@highsecure.ru> | 2021-03-12 18:01:32 +0000 |
commit | 70528c245162514d3591f7330ab5b48649fef423 (patch) | |
tree | 6f3c287dd5584f6aa5391cac933a632ecb3983eb /.drone.yml | |
parent | 1a799bffa70e88369713cee9391a10e68cd072a9 (diff) | |
download | rspamd-70528c245162514d3591f7330ab5b48649fef423.tar.gz rspamd-70528c245162514d3591f7330ab5b48649fef423.zip |
[Minor] Css: Run c++ tests on drone
Diffstat (limited to '.drone.yml')
-rw-r--r-- | .drone.yml | 22 |
1 files changed, 22 insertions, 0 deletions
diff --git a/.drone.yml b/.drone.yml index 0d48d49ea..59253e005 100644 --- a/.drone.yml +++ b/.drone.yml @@ -44,6 +44,7 @@ steps: - ncpu=$(getconf _NPROCESSORS_ONLN) - make -j $ncpu install - make -j $ncpu rspamd-test + - make -j $ncpu rspamd-test-cxx - name: build-clang # https://github.com/rspamd/rspamd-build-docker/blob/master/fedora-build/Dockerfile @@ -73,6 +74,7 @@ steps: - ncpu=$(getconf _NPROCESSORS_ONLN) - make -j $ncpu install - make -j $ncpu rspamd-test + - make -j $ncpu rspamd-test-cxx # We run rspamd-test (unit test) and functional test (runned by robot) in # parallel to save time. To avoid conflict in saving lua coverage we run them @@ -111,6 +113,16 @@ steps: # luacov-coveralls reads luacov.stats.out written by rspamd-test using luacov module # and writes json report for coveralls.io service - luacov-coveralls -o /rspamd/build/unit_test_lua.json --dryrun + - set +e + - ./rspamd-test-cxx -s; EXIT_CODE=$? + - set -e + # shell sets exit status of a process terminated by a signal to '128 + signal-number' + # if rspamd-test was terminated by a signal it should be SIGSEGV or SIGABRT, try to examine core + - > + if [ $EXIT_CODE -gt 128 ]; then + gdb --batch -ex 'thread apply all bt full' -c /var/tmp/*.rspamd-test-cxx.core ./rspamd-test-cxx; + exit $EXIT_CODE; + fi - exit $EXIT_CODE - name: test-fedora-clang @@ -139,6 +151,16 @@ steps: if [ $EXIT_CODE -gt 128 ]; then gdb --batch -ex 'bt' -c /var/tmp/*.rspamd-test.core ./rspamd-test; fi + - set +e + - ./rspamd-test-cxx -s; EXIT_CODE=$? + - set -e + # shell sets exit status of a process terminated by a signal to '128 + signal-number' + # if rspamd-test was terminated by a signal it should be SIGSEGV or SIGABRT, try to examine core + - > + if [ $EXIT_CODE -gt 128 ]; then + gdb --batch -ex 'thread apply all bt full' -c /var/tmp/*.rspamd-test-cxx.core ./rspamd-test-cxx; + exit $EXIT_CODE; + fi - cat /tmp/ubsan.* || true - exit $EXIT_CODE |